ScreenMeetTest logoScreenMeetTest documentationAPI referencescreenmeettest
API reference
POST/schedulesession

Schedule session for future start time

Schedule a Live session for future start time.

Authorization

bearerAuth http (bearer)

Request body

* **label** - Name of session. * **userDescription** - Name of agent. * **agentPrefs* - Session Options * audio - enable/disable audio * guest_video - enable/disable guest audio * knock - enable/disable knock. * record - enable/disable recording * **type** - (live, support, cobrowse, replay) * **startTime** - session start time in UTC Date Time format. ```json { "label": "My Live Session", "userDescription": "ScreenMeet Agent", "agentPrefs": { "audio": true, "guest_video": true, "knock": false, "record": false }, "type": "live" , "startTime": "2023-10-26T09:14:58.077Z" } ```

application/json
object
typestring

string
labelstring

string
startTimestring

string
agentPrefsobject

object
audioboolean

boolean
knockboolean

boolean
recordboolean

boolean
guest_videoboolean

boolean
userDescriptionstring

string
{
  "Example": {
    "value": {
      "type": "live",
      "label": "My Video Appointment",
      "startTime": "2023-10-26T09:14:58.077Z",
      "agentPrefs": {
        "audio": true,
        "knock": false,
        "record": false,
        "guest_video": true
      },
      "userDescription": "Support Agent"
    }
  }
}

Responses

200

OK

application/json
object
idstring

string
pininteger

integer
typestring

string
urlsobject

object
icsstring

string
hoststring

string
userstring

string
labelstring

string
statusstring

string
settingsobject

object
audioboolean

boolean
knockboolean

boolean
recordingboolean

boolean
guest_videoboolean

boolean
startwithrcboolean

boolean
startwithadminboolean

boolean
createdAtstring

string
expiresAtstring

string
scheduledboolean

boolean
startTimestring

string
updatedAtstring

string
unattendedboolean

boolean
hostAuthTokenstring

string
ExternalUserIdinteger

integer
OrganizationIdinteger

integer
userDescriptionstring

string
createdByAgentSessionobject

object
sidinteger

integer
rolesobject

object
apiboolean

boolean
agentboolean

boolean
supervisorboolean

boolean
group_adminboolean

boolean
featuresnull

null
providerstring

string
remoteIpstring

string
clientAppnull

null
expiresAtstring

string
startedAtstring

string
userAgentstring

string
providerExternalIdstring

string
403

Authorization Problem - either the JWT is malformed or the signature is bad, or permission is denied

application/json
object
codenumber

number
refcodenumber

number
descriptionstring

string
X-Request-Idstring

string
{
  "PermissionDenied": {
    "value": {
      "code": 403,
      "refcode": 200403,
      "description": "Authorization token is invalid: Error request id: 1-62ed207a-24baa293558168e06b8402c3 [8/5/2022, 6:51:54 AM PST]",
      "X-Request-Id": "1-62ed207a-24baa293558168e06b8402c3"
    }
  },
  "MalformedJWTOrBadSignature": {
    "value": {
      "code": 403,
      "refcode": 200403,
      "description": "Authorization token is invalid: JsonWebTokenError request id: 1-62ed1a55-0265e424598b4f1b580bd784 [8/5/2022, 6:25:41 AM PST]",
      "X-Request-Id": "1-62ed1a55-0265e424598b4f1b580bd784"
    }
  }
}